org.richfaces.fragment.inplaceInput

## Class RichFacesInplaceInput.ConfirmOrCancelImpl

- java.lang.Object
- - org.richfaces.fragment.inplaceInput.AbstractConfirmOrCancel
  - - org.richfaces.fragment.inplaceInput.RichFacesInplaceInput.ConfirmOrCancelImpl

- All Implemented Interfaces:
    ConfirmOrCancel
  Enclosing class:
    RichFacesInplaceInput

      public class RichFacesInplaceInput.ConfirmOrCancelImpl
      extends AbstractConfirmOrCancel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesInplaceInput.ConfirmOrCancelImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebDriver` | `getBrowser()`
    `org.openqa.selenium.WebElement` | `getCancelButton()`
    `org.openqa.selenium.WebElement` | `getConfirmButton()`
    `org.openqa.selenium.WebElement` | `getInput()`
    `void` | `waitAfterConfirmOrCancel()`

    - ### Methods inherited from class org.richfaces.fragment.inplaceInput.AbstractConfirmOrCancel

      `cancel, cancelByControlls, confirm, confirmByControlls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesInplaceInput.ConfirmOrCancelImpl

          public RichFacesInplaceInput.ConfirmOrCancelImpl()

  - ### Method Detail

    - #### getBrowser

          public org.openqa.selenium.WebDriver getBrowser()

      Specified by:
        `getBrowser` in class `AbstractConfirmOrCancel`

    - #### getConfirmButton

          public org.openqa.selenium.WebElement getConfirmButton()

      Specified by:
        `getConfirmButton` in class `AbstractConfirmOrCancel`

    - #### getInput

          public org.openqa.selenium.WebElement getInput()

      Specified by:
        `getInput` in class `AbstractConfirmOrCancel`

    - #### getCancelButton

          public org.openqa.selenium.WebElement getCancelButton()

      Specified by:
        `getCancelButton` in class `AbstractConfirmOrCancel`

    - #### waitAfterConfirmOrCancel

          public void waitAfterConfirmOrCancel()

      Specified by:
        `waitAfterConfirmOrCancel` in class `AbstractConfirmOrCancel`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.